//+------------------------------------------------------------------+
//|                                                        chann.mq4 |
//|                      Copyright  2010, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+

extern int sizer = 88;
int size1;
int size2;
int size3;

extern color clr = Blue;

datetime time1;
datetime time2;
datetime time3;

datetime timer;

int init()
  {
//---- indicators

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectDelete("REG1");
   ObjectDelete("DEV1");
   //--
   ObjectDelete("REG2");
   ObjectDelete("DEV2");
   //--
   ObjectDelete("REG3");
   ObjectDelete("DEV3");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   
   size1=sizer*0.5;
   size2=sizer*1.5;
   size3=sizer*3;
      
   time1=Time[size1+1];
   time2=Time[size2+1];
   time3=Time[size3+1];
   
   timer=Time[1];
      
   ObjectCreate ("REG1",OBJ_REGRESSION,0,time1,0,timer,0,0,0);
   ObjectSet    ("REG1",OBJPROP_COLOR,clr);
   ObjectSet    ("REG1",OBJPROP_RAY,1);
   ObjectSet    ("REG1",OBJPROP_WIDTH,1);
   ObjectMove   ("REG1",0,time1,0);
   ObjectMove   ("REG1",1,timer,0);
   
   ObjectCreate ("DEV1",OBJ_STDDEVCHANNEL,0,time1,0,timer,0,0,0);
   ObjectSet    ("DEV1",OBJPROP_COLOR,clr);
   ObjectSet    ("DEV1",OBJPROP_RAY,1);
   ObjectSet    ("DEV1",OBJPROP_WIDTH,1);
   ObjectMove   ("DEV1",0,time1,0);
   ObjectMove   ("DEV1",1,timer,0);
   
   //--
   
   ObjectCreate ("REG2",OBJ_REGRESSION,0,time2,0,timer,0,0,0);
   ObjectSet    ("REG2",OBJPROP_COLOR,clr);
   ObjectSet    ("REG2",OBJPROP_RAY,1);
   ObjectSet    ("REG2",OBJPROP_WIDTH,2);
   ObjectMove   ("REG2",0,time2,0);
   ObjectMove   ("REG2",1,timer,0);
   
   ObjectCreate ("DEV2",OBJ_STDDEVCHANNEL,0,time2,0,timer,0,0,0);
   ObjectSet    ("DEV2",OBJPROP_COLOR,clr);
   ObjectSet    ("DEV2",OBJPROP_RAY,1);
   ObjectSet    ("DEV2",OBJPROP_WIDTH,2);
   ObjectMove   ("DEV2",0,time2,0);
   ObjectMove   ("DEV2",1,timer,0);
   
   //--
   
   ObjectCreate ("REG3",OBJ_REGRESSION,0,time3,0,timer,0,0,0);
   ObjectSet    ("REG3",OBJPROP_COLOR,clr);
   ObjectSet    ("REG3",OBJPROP_RAY,1);
   ObjectSet    ("REG3",OBJPROP_WIDTH,3);
   ObjectMove   ("REG3",0,time3,0);
   ObjectMove   ("REG3",1,timer,0);
   
   ObjectCreate ("DEV3",OBJ_STDDEVCHANNEL,0,time3,0,timer,0,0,0);
   ObjectSet    ("DEV3",OBJPROP_COLOR,clr);
   ObjectSet    ("DEV3",OBJPROP_RAY,1);
   ObjectSet    ("DEV3",OBJPROP_WIDTH,3);
   ObjectMove   ("DEV3",0,time3,0);
   ObjectMove   ("DEV3",1,timer,0);
   
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+